package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.ast.expr.SQLIntegerExpr;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLBuildTableStatement extends SQLStatementImpl {
   private SQLName table;
   private SQLIntegerExpr version;
   private boolean withSplit = false;
   private boolean force = false;

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.table);
         this.acceptChild(visitor, this.version);
      }

      visitor.endVisit(this);
   }

   public SQLName getTable() {
      return this.table;
   }

   public void setTable(SQLName table) {
      this.table = table;
   }

   public SQLIntegerExpr getVersion() {
      return this.version;
   }

   public void setVersion(SQLIntegerExpr version) {
      this.version = version;
   }

   public boolean isWithSplit() {
      return this.withSplit;
   }

   public void setWithSplit(boolean withSplit) {
      this.withSplit = withSplit;
   }

   public boolean isForce() {
      return this.force;
   }

   public void setForce(boolean force) {
      this.force = force;
   }
}
